Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.pas.domain
Class RoomSpecialism

    java.lang.Object
      org.optaplanner.examples.common.domain.AbstractPersistable
          org.optaplanner.examples.pas.domain.RoomSpecialism

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>

    public class RoomSpecialism

extends AbstractPersistable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.optaplanner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`RoomSpecialism()`

Method Summary
`int` | `getPriority()`
`Room` | `getRoom()`
`Specialism` | `getSpecialism()`
`void` | `setPriority(int priority)`
`void` | `setRoom(Room room)`
`void` | `setSpecialism(Specialism specialism)`
`String` | `toString()`

Methods inherited from class org.optaplanner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoomSpecialism

    public RoomSpecialism()

Method Detail

### getRoom

    public Room getRoom()

### setRoom

    public void setRoom(Room room)

### getSpecialism

    public Specialism getSpecialism()

### setSpecialism

    public void setSpecialism(Specialism specialism)

### getPriority

    public int getPriority()

### setPriority

    public void setPriority(int priority)

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractPersistable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.